Index: fss/css/fss-layout.css
===================================================================
--- fss/css/fss-layout.css	(revision 8440)
+++ fss/css/fss-layout.css	(working copy)
@@ -169,16 +169,16 @@
 /*
  * Menus: quick horizontal and vertical menu
  * Requires list items with anchors
- */
-.fl-listmenu {padding:0px; margin:0; border-bottom-width:1px; border-bottom-style:solid;}
-.fl-listmenu li {margin:0; padding:0; list-style-type:none; border-width:1px; border-style:solid; border-bottom:none;}
-.fl-listmenu a {padding:5px 5px; display:block; zoom:1;} /* list item needs layout (http://www.brunildo.org/test/IEWlispace.php) */
+ */ 
+.fl-listmenu, /* <=== fl-listmenu is DEPRECATED! */
+.fl-list-menu {padding:0px; margin:0; border-bottom-width:1px; border-bottom-style:solid;}
 
-.fl-vert-menu {
-}
-.fl-horz-menu {
-}
+.fl-listmenu li, /* <=== fl-listmenu is DEPRECATED! */
+.fl-list-menu li {margin:0; padding:0; list-style-type:none; border-width:1px; border-style:solid; border-bottom:none;}
 
+.fl-listmenu a, /* <=== fl-listmenu is DEPRECATED! */
+.fl-list-menu a {padding:5px 5px; display:block; zoom:1;} /* list item needs layout (http://www.brunildo.org/test/IEWlispace.php) */
+
 /*
  * Picture Grid: a quick picture grid layout
  * Dependency: list-based markup
Index: fss/css/fss-mobile-iphone-layout.css
===================================================================
--- fss/css/fss-mobile-iphone-layout.css	(revision 8440)
+++ fss/css/fss-mobile-iphone-layout.css	(working copy)
@@ -1,7 +1,4 @@
 :root {
-    -webkit-background-origin: padding-box; 
-    -webkit-background-clip: content-box;
-    -webkit-background-size: 10px 1px;
 }
 body {
     margin:0;
@@ -35,16 +32,7 @@
     width:25%;
 }
 
-
 /***************************************/
-/* to override any widths for a mobile device.
- * This eliminates the width, allowing for device specific screen settings 
- */
-.fl-panel {
-	width:auto;
-}
-
-/***************************************/
 /* iPhone general purpose gel buttons */
 /* effect is applied anywhere but the navbar, which has its own button look */
 
@@ -144,27 +132,23 @@
     border:none;
     text-align:center;
 }
-
 .fl-tabs li {
     display:inline-block;
     margin-right:-5px;
     border-width:5px 0;
     text-align:center;
 }
-
 .fl-tabs li:first-child {
     border-left-width:5px;
     -webkit-border-top-left-radius:5px;
     -webkit-border-bottom-left-radius:5px;
 }
-
 .fl-tabs li:last-child {
     margin-right:0;
     border-right-width:5px;
     -webkit-border-top-right-radius:5px;
     -webkit-border-bottom-right-radius:5px;
 }
-
 .fl-tabs li.fl-tabs-active a,
 .fl-tabs li a {
     display:block;
@@ -184,14 +168,10 @@
     border-left:none;
 }
 
-.fl-tabs.fl-tabs-functionBar {
-	
-}
-
 /*************************************************/
 /* iPhone list menu styles: Ordered lists, Unordererd lists, Thumbnail lists, Icon lists, Definition lists
  * By default, all list formats fit to width
- * When nested within a fl-panel element, they are indented and therefore contain rounded corners
+ * When nested within a fl-container element, they are indented and therefore contain rounded corners
  */
 /*************************************************/
 /* Default list system setup */
@@ -201,7 +181,6 @@
     margin:0 0 10px;
     padding:0;
 }
-
 [class*=fl-list] > li {
 	display:block;	
 	padding: 12px 0px 12px 12px;
@@ -212,15 +191,12 @@
 	border-width:1px 1px 0 1px;
     overflow:auto; /* to encapsulate floating elements within */
 }
-
 [class*=fl-list] > li:last-child {
 	border-bottom-width:1px;
 }
-
 [class*=fl-list] .fl-link-loading .fl-link-secondary {
     display:none;
 }
-
 /* secondary link info behaviour */
 [class*=fl-list] > li .fl-link-secondary {
     float:right;
@@ -228,49 +204,34 @@
     font-weight:normal;
     font-size:.9em;
 }
-
  /* summary link info ehaviour */
 [class*=fl-list] > li .fl-link-summary {
     display:block;
     clear:right;
     margin:0 25px 0 0px;
     font-weight:normal;
-    font-size:0.8em;
-	
+    font-size:0.8em;	
 }
 [class*=fl-list] li .fl-icon ~ .fl-link-summary {
     margin-left:30px; /* default size of fl-icon */
 }
-
 /* icon behaviour */
 [class*=fl-list] li .fl-icon {
     float:left;
     margin-left:-6px;
 }
 
-.fl-panel [class*=fl-list] > li:first-child,
-.fl-panel [class*=fl-list] > li:first-child a {
-    -webkit-border-top-left-radius: 8px;
-    -webkit-border-top-right-radius: 8px;
-}
-
-.fl-panel [class*=fl-list] > li:last-child,
-.fl-panel [class*=fl-list] > li:last-child a {
-    -webkit-border-bottom-left-radius: 8px;
-    -webkit-border-bottom-right-radius: 8px;
-}
-
 /*************************************************/
 /**
  * fl-listmenu is now the way to create a link list
  * The links create a hotspot over the entire list item, just like how it was by default
  */
-.fl-listmenu {	
+.fl-list-menu {	
 }
-.fl-listmenu li {
+.fl-list-menu li {
 	padding:0;  
 }
-.fl-listmenu li a {
+.fl-list-menu li a {
     display:block;  
     padding: 12px 0px 12px 12px;
     text-decoration: none;
@@ -284,17 +245,15 @@
 
 .fl-list-thumbnails > li {
     margin-bottom:5px;
+    border-bottom-width:1px;
 }
-
 .fl-list-thumbnails > li a {
-	border-bottom-width:1px;
     padding-top:6px;
     overflow:auto;
 }
 /* summary behaviour */
 .fl-list-thumbnails > li a > .fl-icon ~ .fl-link-summary {
-	margin:0 25px -12px 42px;
-    
+	margin:0 25px -12px 42px;   
 }
 .fl-list-thumbnails:not(.fl-thumbnails-expanded):not(.fl-list-brief) > li a > .fl-icon ~ .fl-link-summary {
     padding-bottom:10px;
@@ -306,20 +265,16 @@
     margin:-6px 10px -12px -12px;
     -webkit-border-radius:0;
 }
-.fl-panel .fl-list-thumbnails > li a {
-	-webkit-border-radius:8px;
-}
-.fl-panel .fl-list-thumbnails > li a > .fl-icon {
-    -webkit-border-bottom-left-radius: 8px;
-    -webkit-border-top-left-radius: 8px;
-}
 .fl-list-thumbnails.fl-thumbnails-expanded li {
     margin:0;
+    border-bottom-width:0;
 }
+.fl-list-thumbnails.fl-thumbnails-expanded > li:last-child {
+    border-bottom-width:1px;
+}
 .fl-list-thumbnails.fl-thumbnails-expanded > li a {
-    border-bottom-width:0;
     -webkit-border-radius:0;
-    padding:10px;
+    padding: 10px 0px 10px 10px;
 }
 .fl-list-thumbnails.fl-thumbnails-expanded > li a > .fl-icon {
     width:60px;
@@ -327,38 +282,28 @@
     margin:-5px 5px -5px -5px;
     -webkit-border-radius:0;
 }
-.fl-list-thumbnails.fl-thumbnails-expanded > li:last-child a {
-    border-bottom-width:1px;
-}
-
 .fl-list-thumbnails.fl-thumbnails-expanded > li a > .fl-icon ~ .fl-link-summary {
     margin: 0px 0px -5px 60px;
 }
 .fl-list-thumbnails.fl-thumbnails-expanded > li a > .fl-link-secondary {
     padding-top:0;
 }
+
 /*************************************************/
 /* Brief lists auto trim summary content + add ellipsis if necessary */
 
 .fl-list-brief > li a  {
     padding-bottom:6px;
 }
-
 .fl-list-brief > li a > .fl-link-summary {
     height:1.3em;
     overflow:hidden;
     text-overflow:ellipsis;
     white-space:nowrap;
 }
-
-.fl-list-brief > li a > .fl-link-secondary {
-    padding-top:6px;
-}
-
 .fl-list-brief > li a > .fl-icon ~ .fl-link-summary {
     margin-left:0;
 }
-
 .fl-list-brief.fl-list-thumbnails:not(.fl-thumbnails-expanded) > li a > .fl-icon {
     margin:-6px 10px -6px -12px;
 }
@@ -403,48 +348,69 @@
 /* Content Panels */
 /*************************************************/
 
-[class*=fl-panel] {
+[class*=fl-container]:not(.fl-navbar) {
 	margin:10px;
+    width:auto;
 }
+
+/* Panel influence for list corners */
+[class*=fl-container] [class*=fl-list] > li:first-child,
+[class*=fl-container] [class*=fl-list] > li:first-child a {
+    -webkit-border-top-left-radius: 8px;
+    -webkit-border-top-right-radius: 8px;
+}
+
+[class*=fl-container] [class*=fl-list] > li:last-child,
+[class*=fl-container] [class*=fl-list] > li:last-child a {
+    -webkit-border-bottom-left-radius: 8px;
+    -webkit-border-bottom-right-radius: 8px;
+}
+
+[class*=fl-container] [class*=fl-list]:not(.fl-thumbnails-expanded) > li a .fl-icon {
+    -webkit-border-bottom-left-radius: 8px;
+    -webkit-border-top-left-radius: 8px;
+}
+
+[class*=fl-container] .fl-list-thumbnails:not(.fl-thumbnails-expanded) > li,
+[class*=fl-container] .fl-list-thumbnails:not(.fl-thumbnails-expanded) > li a {
+    -webkit-border-radius: 8px;
+}
 /* Panel Auto Headings */
 /* The first element found becomes the "heading" */
-.fl-panel-autoHeading > *:first-child {
+.fl-container-autoHeading > *:first-child {
 	padding:10px;
 	margin:0;
 	-webkit-border-top-left-radius: 8px;
 	-webkit-border-top-right-radius: 8px;
 }
 /* The last element found becomes the "content" - list or otherwise */
-.fl-panel-autoHeading > *:last-child {
+.fl-container-autoHeading > *:last-child {
 	margin:0;
 	-webkit-border-radius:0;
 	-webkit-border-bottom-left-radius:8px;
 	-webkit-border-bottom-right-radius:8px;
 }
 
-.fl-panel-autoHeading [class*=fl-list] > li {
+.fl-container-autoHeading [class*=fl-list] > li {
 	margin:0;
 }
-.fl-panel-autoHeading [class*=fl-list] > li:first-child,
-.fl-panel-autoHeading [class*=fl-list] > li:first-child a {
+.fl-container-autoHeading [class*=fl-list] > li:first-child,
+.fl-container-autoHeading [class*=fl-list] > li:first-child a {
 	-webkit-border-radius:0;
 }
-.fl-panel-autoHeading [class*=fl-list] > li:first-child:last-child,
-.fl-panel-autoHeading [class*=fl-list] > li:first-child:last-child a {
+.fl-container-autoHeading [class*=fl-list] > li:first-child:last-child,
+.fl-container-autoHeading [class*=fl-list] > li:first-child:last-child a {
 	-webkit-border-bottom-left-radius:8px;
 	-webkit-border-bottom-right-radius:8px;
 }
-.fl-panel-autoHeading .fl-list-thumbnails > li a {
-	/*padding:5px;*/
-	/*overflow:auto;*/
-}
 
 /* Collapsing and expanding panels */
-.fl-panel-collapsable {
+.fl-container-collapsable {
 	max-height:900px;
 	overflow:hidden;
 	-webkit-border-radius:8px;
 }
+
 /***************************/
 .fl-table {
     display:table;
@@ -460,12 +426,3 @@
     vertical-align:middle;
     border:none;
 }
-
-/***************************/
-
-
-
-
-
-
-
Index: fss/css/fss-mobile-iphone-theme.css
===================================================================
--- fss/css/fss-mobile-iphone-theme.css	(revision 8440)
+++ fss/css/fss-mobile-iphone-theme.css	(working copy)
@@ -1,13 +1,15 @@
 ﻿/***************************************/
 /* general styles */
-html {
+.fl-theme-iphone {
     background: -webkit-gradient(linear, left top, right top, 
         from(#c5ccd3), 
         to(#cfd5dd), 
         color-stop(0.80, #c5ccd3),
         color-stop(0.80, #cfd5dd));
+    -webkit-background-origin: padding-box; 
+    -webkit-background-clip: content-box;
+    -webkit-background-size: 10px 1px;
 }
-
 .fl-theme-iphone .fl-bevel-black {
     text-shadow: rgba(0,0,0,0.35) 0px -1px 0px;
 }
@@ -24,7 +26,8 @@
 /***************************************/
 /* Navigation Bar */
 
-body::before {
+/*body::before {*/
+.fl-theme-iphone .fl-navbar {
     border-top-color:#ccd6e2;
     border-bottom-color:#000;
     background-image: -webkit-gradient(linear, left top, left bottom, 
@@ -32,7 +35,7 @@
         color-stop(0.5, #889BB3), 
         color-stop(0.50, #6D84A2),
         to(#6D84A2)
-    );
+    );    
 }
 .fl-theme-iphone .fl-navbar {     
     color:#fff;
@@ -156,11 +159,6 @@
 /*************************************************/
 /* Default list system setup */
 
-.fl-theme-iphone .fl-listmenu li a {
-    -webkit-tap-highlight-color: -webkit-gradient(linear, left top, left bottom, from(#4a94f4), to(#236de5));
-    background:#fff url(../images/themes/iphone/listmenu_arrow.png) no-repeat right 5px;
-	
-}
 .fl-theme-iphone [class*=fl-list] > li {
 	color: #000;
     border-color: rgb(169,173,176);
@@ -198,6 +196,12 @@
     color:#999;
 }
 
+.fl-theme-iphone .fl-list-menu li a {
+    -webkit-tap-highlight-color: -webkit-gradient(linear, left top, left bottom, from(#4a94f4), to(#236de5));
+    background:#fff url(../images/themes/iphone/listmenu_arrow.png) no-repeat right 5px;
+	
+}
+
 .fl-theme-iphone .fl-list a {
     color:#4a94f4;
 }
@@ -210,11 +214,11 @@
 
 /****************************/
 /* Collapsing and expanding panels */
-.fl-theme-iphone .fl-panel-autoHeading > *:first-child {
+.fl-theme-iphone .fl-container-autoHeading > *:first-child {
     color:#fff;
     background: -webkit-gradient(linear, left top, left bottom, from(#999), to(#000));
 }
-.fl-theme-iphone .fl-panel-autoHeading > *:first-child:focus {    
+.fl-theme-iphone .fl-container-autoHeading > *:first-child:focus {    
     color:#000;
     background: -webkit-gradient(linear, left top, left bottom, from(#FFF), to(#CCC));
 }
Index: fss/css/fss-reset.css
===================================================================
--- fss/css/fss-reset.css	(revision 8440)
+++ fss/css/fss-reset.css	(working copy)
@@ -17,7 +17,7 @@
  */
 pre,code,kbd,samp,tt {font-family:monospace;*font-size:108%;line-height:100%;}
 
-html{color:#000;background:#FFF;}
+html{color:#000;}
 body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,code,form,fieldset,legend,input,textarea,p,blockquote,th,td{margin:0;padding:0;}
 table{border-collapse:collapse;border-spacing:0;}
 fieldset,img{border:0;}
